 /*
    Peter's Picross - A remake for TI 68k-based calculators of the Nintendo Gameboy game, "Mario's Picross"
    Copyright (C) 2008  Peter Fernandes
    supersonicandtails@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
    
    
    files.h: include for files.c
*/

#define OFFSET_NAME 4
#define OFFSET_AUTHOR 25
#define OFFSET_DIM 46
#define OFFSET_DATA 48
#define OFFSET_NUMPUZZLES 46


#define SLOTS (((LCD_HEIGHT-30)/7)-1)

extern char *settings_file;
extern HANDLE settings_handle;
extern char settings_file_isarchived;

extern short archive_settings(void);
extern short unarchive_settings(void);


extern short get_best_time(char *title, char *author);
extern short add_best_time(char *title, char *author, short seconds);

extern char *open_file(const char *filename, HANDLE *handle);

extern short create_file(const char *filename, char **ptr, short size, HANDLE *handle);

extern short write_puzzle_file(const char *filename, PUZZLE *puzzle);

extern int dialog_load_puzzle(PUZZLE *puzzle, short autochoose, char *filename);

typedef struct {
	char name[9];
	char *data;
} PUZZLE_ENTRY;


