 /*
    Peter's Picross - A remake for TI 68k-based calculators of the Nintendo Gameboy game, "Mario's Picross"
    Copyright (C) 2008  Peter Fernandes
    supersonicandtails@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
    
    
    menus.c: main menu and credits
*/

#include <tigcclib.h>

#include "main.h"


short main_menu(void) {
	unsigned short key;
	short y=19;
	
	const char *item1="Just Play";
	const char *item2="Load Puzzle";
	const char *item3="Generate Random Puzzle";
	const char *item4="Create Puzzle";
	const char *item5="Restore Game";
	const char *item6="Credits";
	const char *item7="I'm Outta Here!";
	
	
	ClrScr();
	
	FontSetSys(F_6x8);
	
	DrawStr((LCD_WIDTH/2)-((15*6)/2),0,"Peter's Picross",A_NORMAL);
	
	/*menu:
	Just Play
	Load Puzzle
	Generate Random Puzzle
	Create Puzzle
	Restore Game
	Credits
	Quit
	*/
	
	FontSetSys(F_4x6);
	
	DrawStr((LCD_WIDTH/2)-(DrawStrWidth(item1,F_4x6)/2),20,item1,A_NORMAL);
	DrawStr((LCD_WIDTH/2)-(DrawStrWidth(item2,F_4x6)/2),30,item2,A_NORMAL);
	DrawStr((LCD_WIDTH/2)-(DrawStrWidth(item3,F_4x6)/2),40,item3,A_NORMAL);
	DrawStr((LCD_WIDTH/2)-(DrawStrWidth(item4,F_4x6)/2),50,item4,A_NORMAL);
	DrawStr((LCD_WIDTH/2)-(DrawStrWidth(item5,F_4x6)/2),60,item5,A_NORMAL);
	DrawStr((LCD_WIDTH/2)-(DrawStrWidth(item6,F_4x6)/2),70,item6,A_NORMAL);
	DrawStr((LCD_WIDTH/2)-(DrawStrWidth(item7,F_4x6)/2),80,item7,A_NORMAL);
	
	
	ScrRectFill(&(SCR_RECT){{10,19,LCD_WIDTH-10,26}},&(SCR_RECT){{10,19,LCD_WIDTH-10,26}},A_XOR);

	
	while((key=ngetchx())!=KEY_ENTER) {
		
		ScrRectFill(&(SCR_RECT){{10,y,LCD_WIDTH-10,y+7}},&(SCR_RECT){{10,y,LCD_WIDTH-10,y+7}},A_XOR);
		
		if(key==KEY_UP) {
			if(y>19)
				y-=10;
			else
				y=79;
		}
		else if(key==KEY_DOWN) {
			if(y<79)
				y+=10;
			else
				y=19;
		}
		else if(key==KEY_ESC) {
			return -1;
		}

		
		ScrRectFill(&(SCR_RECT){{10,y,LCD_WIDTH-10,y+7}},&(SCR_RECT){{10,y,LCD_WIDTH-10,y+7}},A_XOR);
		
	}
	
	
	return y;
}


inline void credits(void) {
	const char *author="Coded by Peter Fernandes - 2008";
	const char *original="Original Game (C) Nintendo";
	
	
	//clear under the title
	memset(LCD_MEM+(8*30),0,LCD_SIZE-(8*30));
	
	
	DrawStr((LCD_WIDTH/2)-(DrawStrWidth(VERSION_STRING,F_4x6)/2),10,VERSION_STRING,A_NORMAL);
	DrawStr((LCD_WIDTH/2)-(DrawStrWidth(author,F_4x6)/2),25,author,A_NORMAL);
	DrawStr((LCD_WIDTH/2)-(DrawStrWidth(original,F_4x6)/2),35,original,A_NORMAL);
	
	DrawStr(0,52,"Special thanks to:",A_NORMAL);
	DrawStr(0,60,"bfr for Beta-testing",A_NORMAL);
	DrawStr(0,67,"Conrad Meyer for help converting puzzles",A_NORMAL);
	DrawStr(0,74,"The TIGCC team for...TIGCC :)",A_NORMAL);
	
	DrawStr(0,86,"For more puzzles, visit:",A_NORMAL);
	DrawStr(0,93,"http://www.hypersonicsoft.org/downloads",A_NORMAL);
	
	
	ngetchx();
	
}


